Socializer
=========

Simple and stylish Facebook browser for desktops.

>Simple and stylish, themable Facebook browser for your Windows/Linux PC and Mac. This app provides native Facebook experience in a Facebook styled window plus a system tray icon for providing notifications. This app doesn't disturbs you by popping out notifications, but it notifies you silently by changing the system tray icon color.


Version
----

1.1

Tech
-----------
This app uses a simple approach for delivering notifications in the system tray. It reads the number of notifications, messages and friend requests directly from the facebook page, using Javascript calls, without using any components from Facebook SDK. It uses Javascript for theming your Facebook web pages. It injects Javascript codes and executes them to select the theme specific HTML elements and modify its visual properties. Remember, the themes applied to the Facebook pages are *unofficial* and not affiliated to Facebook in any ways. Moreover, I'm researching on the code of Facebook webpage, more features will come soon!

Build requirements
--------------
* GCC/MinGW/Clang toolchain
* Qt 5.0 or later.
* WebKit support.
* OpenSSL support.

Build and run
--------------

```sh
git clone https://github.com/anandbose/facebook
cd facebook
qmake
./Socializer
```

Packaging instructions
--------------------------------
#### Windows
Windows deployment requires the Qt libs to be placed in the same directory where the executable file is kept. Copy the libs from ```/bin```,```/plugins``` directories. Facebook uses https, so you need OpenSSL libs too. Copy the libs to the directory. For getting the themes to work, copy the ```Themes``` from the source tree to the directory. For packaging, you can make use of the tools such as *InstallJammer*, *NSIS* etc...

####Ubuntu
The source tree contains a ```debian``` directory. It contains the ```control``` file and other files for packaging. Copy the ```Socializer``` binary and Qt libs and plugins to ```debian/opt/Socializer``` directory. After all, build the package by issuing command ```fakeroot dpkg-deb --build debian```. The package will be built in the name ```debian.deb```.

####Mac OS X
Mac OS X deployment is simpler than ever. You can make use of ```macdeployqt``` command. In the project directory, issue the following command to get the package bundled with the required Qt frameworks.
```sh
macdeployqt Socializer.app
```
And distribute in a zip file along with the Themes directory.

You can build the Apple Disk Image directly by this command.
```sh
macdeployqt Socializer.app -dmg
```

License
----

GNU GPL v3


*Free Software, Hell Yeah!*
